Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.utils
Class Hash2intTable

    java.lang.Object
      |
      +--org.apache.xerces.utils.Hash2intTable

public final class Hash2intTable
extends java.lang.Object

A light-weight hashtable class that takes 2 ints as key and 1 int as value

Version:

Constructor Summary
`Hash2intTable()`

Method Summary
`int` | `get(int key1, int key2, int key3)`
`void` | `put(int key1, int key2, int key3, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hash2intTable

    public Hash2intTable()

Method Detail

### put

    public void put(int key1,
                    int key2,
                    int key3,
                    int value)

### get

    public int get(int key1,
                   int key2,
                   int key3)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.